routes/web.php
<?php


/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::get('/', function () {
    return view('welcome');
});

Auth::routes();




Route::group(
	['middleware' => ['auth']], function(){
	Route::resource('condominios','CondominioController');	
	Route::get('/home', 'CondominioController@index')->name('home');
	Route::get('/','CondominioController@index');
	Route::resource('usuario','HomeController');
});

app/Condominio.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Condominio extends Model{
	
	public $timestamps = false;

    protected $fillable = [
    	'razaoSolcial' ,
        'nomeFantasia' ,
        'cnpj'         ,
        'longradouto'  ,
        'bairro'       ,
        'cidade'       ,
        'estado'       
    ];


}

app/User.php
<?php

namespace App;

use Illuminate\Notifications\Notifiable;
use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];
}

app/Http/Controllers/CondominioController.php
<?php

namespace App\Http\Controllers;

use App\Condominio;
use Illuminate\Http\Request;

class CondominioController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $condominios = Condominio::all();

        return view('condominio.index', compact('condominios'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('condominio.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
         $request->validate([
            'razaoSolcial'  => 'required',
            'nomeFantasia'  => 'required',
            'cnpj'          => 'required',
            'longradouto'   => 'required',
            'bairro'        => 'required',
            'cidade'        => 'required',
            'estado'        => 'required'

        ]);

       Condominio::create($request->all());

        return redirect()->route('condominios.index')->with('success','Atualizado com sucesso');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Condominio  $condominio
     * @return \Illuminate\Http\Response
     */
    public function show(Condominio $condominio)
    {
        return view('condominio.show',compact('condominio'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Condominio  $condominio
     * @return \Illuminate\Http\Response
     */
    public function edit(Condominio $condominio)
    {
         return view('condominio.edit',compact('condominio'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Condominio  $condominio
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Condominio $condominio)
    {
        $request->validate([
            'razaoSolcial'  => 'required',
            'nomeFantasia'  => 'required',
            'cnpj'          => 'required',
            'longradouto'   => 'required',
            'bairro'        => 'required',
            'cidade'        => 'required',
            'estado'        => 'required'

        ]);

       $condominio->update($request->all());

        return redirect()->route('condominios.index')->with('success','Atualizado com sucesso');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Condominio  $condominio
     * @return \Illuminate\Http\Response
     */
    public function destroy(Condominio $condominio)
    {
       $condominio->delete();

       return redirect()->route('condominios.index')->with('success','Condominio deletado com sucesso');
    }
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Routing\Controller as BaseController;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/HomeController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\User;

class HomeController extends Controller
{
    
    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view('user.create');
    }

    public function store(Request $request)
    {
         $request->validate([
            'name'  		=> 'required',
            'email' 	 	=> 'required',
            'password'      => 'required',
        ]);


       User::create($request->all());

        return redirect()->route('condominios.index')->with('success','Atualizado com sucesso');
    }
}

resources/views/condominio/create.blade.php
@extends('condominio.layout')
@section('content')

<div class="container">
<div class="card uper">
  <div class="card-header">
    Cadastro de condominio
  </div>
  <div class="card-body">    
      <form method="POST" action="{{ route('condominios.store') }}">
        @csrf
        <div class="form-group">
          <label for="name">Razão social:</label>
          <input type="text" class="form-control" name="razaoSolcial" />
        </div>
        <div class="form-group">
          <label for="name">Nome Fantasia:</label>
          <input type="text" class="form-control" name="nomeFantasia" />
        </div>
        <div class="form-group">
          <label for="name">CNPJ:</label>
          <input type="text" class="form-control" name="cnpj" id="cnpj" />
        </div>
        <div class="form-group">
          <label for="name">Longradouro:</label>
          <input type="text" class="form-control" name="longradouto" />
        </div>
        <div class="form-group">
          <label for="name">Bairro:</label>
          <input type="text" class="form-control" name="bairro" />
        </div>
        <div class="form-group">
          <label for="name">Cidade:</label>
          <input type="text" class="form-control" name="cidade" />
        </div>
        <div class="form-group">
          <label for="name">Estado:</label>
          <select class="form-control" name="estado">
              <?php $estadosBrasileiros = ["AC","AL","AP","AM","BA","CE","DF","ES","GO","MA","MT","MS","MG","PA","PB","PR","PE","PI","RJ","RN","RS","RO","RR","SC","SP","SE","TO"]; ?>
              @foreach($estadosBrasileiros as $estado)
                <option value= {{ $estado }}> {{ $estado }} </option> 
              @endforeach                                    
          </select>
        </div>
        <div class="form-group">
          <button type="submit" class="btn btn-primary">Cadastrar</button>
        </div>
        
      </form>
  </div>
</div>
</div>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery.maskedinput/1.4.1/jquery.maskedinput.min.js"></script>
<script type="text/javascript">
  $("#cnpj").mask("999.999.999/9999-99");
  
</script>

@endsection

resources/views/condominio/edit.blade.php
@extends('condominio.layout')
@section('content')


<div class="container">
<div class="card uper">
  <div class="card-header">
    Tela de edição
  </div>
  <div class="card-body">    
      <form method="POST" action="{{ route('condominios.update', $condominio->id) }}">
        @method('PATCH')
        @csrf
        <div class="form-group">
          <label for="name">Razão social:</label>
          <input type="text" class="form-control" name="razaoSolcial" value= {{ $condominio->razaoSolcial }} />
        </div>
        <div class="form-group">
          <label for="name">Nome Fantasia:</label>
          <input type="text" class="form-control" name="nomeFantasia" value= {{ $condominio->nomeFantasia }} />
        </div>
        <div class="form-group">
          <label for="name">CNPJ:</label>
          <input type="text" class="form-control" name="cnpj" id="cnpj" value= {{ $condominio->cnpj }}  />
        </div>
        <div class="form-group">
          <label for="name">Longradouro:</label>
          <input type="text" class="form-control" name="longradouto" value= {{ $condominio->longradouto }} />
        </div>
        <div class="form-group">
          <label for="name">Bairro:</label>
          <input type="text" class="form-control" name="bairro" value= {{ $condominio->bairro }} />
        </div>
        <div class="form-group">
          <label for="name">Cidade:</label>
          <input type="text" class="form-control" name="cidade" value= {{ $condominio->cidade }} />
        </div>
        <div class="form-group">
          <label for="name">Estado:</label>
          <select class="form-control" name="estado">
              <?php $estadosBrasileiros = ["AC","AL","AP","AM","BA","CE","DF","ES","GO","MA","MT","MS","MG","PA","PB","PR","PE","PI","RJ","RN","RS","RO","RR","SC","SP","SE","TO"]; ?>
              <option value={{ $condominio->estado }} selected> {{ $condominio->estado }} </option>
              @foreach($estadosBrasileiros as $estado)
                <option value= {{ $estado }}> {{ $estado }} </option> 
              @endforeach                                    
          </select>
        </div>
        <button type="submit" class="btn btn-primary">Atualizar</button>
      </form>
  </div>
</div>
</div>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery.maskedinput/1.4.1/jquery.maskedinput.min.js"></script>
<script type="text/javascript">
  $("#cnpj").mask("999.999.999/9999-99");
</script>
@endsection

resources/views/condominio/index.blade.php
@extends('condominio.layout')
@section('content')

<div class="container">
<table class="table table-bordered">
    <tr>
        <th>Numero</th>
        <th>Nome do condominio</th>
        <th width="300px">Ações</th>
    </tr>
    @foreach ($condominios as $condominio)
    <tr>
        <td>{{ $condominio->id }}</td>
        <td>{{ $condominio->nomeFantasia }}</td>        
            <td>
                <form action="{{ route('condominios.destroy',$condominio->id) }}" method="POST">
                    <a class="btn btn-info" href="{{ route('condominios.show',$condominio->id) }}">Mostrar</a>
                    <a class="btn btn-primary" href="{{ route('condominios.edit',$condominio->id) }}">Editar</a>
                    @csrf
                    @method('DELETE')
                    <button type="submit" class="btn btn-danger">Deletar</button>
                </form>
            </td>
        </tr>
        @endforeach
</table>  
</div>










@endsection

resources/views/condominio/layout.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>Amigo gestor</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet" type="text/css">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
</head>
<body>
    <div id="app">
        <nav class="navbar navbar-expand-md navbar-light navbar-laravel">
            <div class="container">
                <a class="navbar-brand" href="{{ url('/') }}">
                    Amigo gestor
                </a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav mr-auto">
                    	
                    </ul>
                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ml-right">
                        <li class="nav-item active">
					        <a class="nav-link" href="{{ route('condominios.create') }}">Cad.Condominio <span class="sr-only">(current)</span></a>
					    </li>
					    <li class="nav-item active">
					        <a class="nav-link" href="{{ route('usuario.index') }}">Cad.Usuario <span class="sr-only">(current)</span></a>
					    </li>
                    </ul>
                    <ul class="navbar-nav ml-auto">
                        <li class="nav-item dropdown">
                            <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                {{ Auth::user()->name }} <span class="caret"></span>
                            </a>
                            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                <a class="dropdown-item" href="{{ route('logout') }}"
                                 onclick="event.preventDefault();
                                    document.getElementById('logout-form').submit();">
                                    {{ __('Sair') }}
                                </a>

                                <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                    @csrf
                                </form>
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>

        <main class="py-4">
            @yield('content')
        </main>
    </div>
</body>
</html>

resources/views/condominio/show.blade.php
@extends('condominio.layout')
@section('content')

<div class="container">
<div class="row">
    <div class="col-lg-12 margin-tb">
        <div class="pull-left">
            <h2> Detalhes do condominio</h2>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-xs-12 col-sm-12 col-md-12">
        <div class="form-group">
            <strong>Nome fantasia:</strong>
            	{{ $condominio->nomeFantasia }}
        </div>
    </div>
    <div class="col-xs-12 col-sm-12 col-md-12">
        <div class="form-group">
            <strong>Razão social:</strong>
            	{{ $condominio->razaoSolcial }}
        </div>
    </div>
    <div class="col-xs-12 col-sm-12 col-md-12">
        <div class="form-group">
            <strong>CNPJ:</strong>
            	{{ $condominio->cnpj }}
        </div>
    </div>
    <div class="col-xs-12 col-sm-12 col-md-12">
        <div class="form-group">
            <strong>Cidade:</strong>
            	{{ $condominio->cidade }}
        </div>
    </div>
    <div class="col-xs-12 col-sm-12 col-md-12">
        <div class="form-group">
            <strong>Estado:</strong>
            	{{ $condominio->estado }}
        </div>
    </div>
</div>
<div class="row">
    <div class="col-lg-12 margin-tb">
        <div class="pull-left">
            <a class="btn btn-primary" href="{{ route('condominios.index') }}"> Voltar</a>
        </div>
    </div>
</div>
</div>
@endsection

resources/views/layouts/app.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>Amigo gestor</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet" type="text/css">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
</head>
<body>
    <div id="app">
        <nav class="navbar navbar-expand-md navbar-light navbar-laravel">
            <div class="container">
                <a class="navbar-brand" href="{{ url('/') }}">
                    Amigo gestor
                </a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav mr-auto">

                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ml-auto">
                        <!-- Authentication Links -->
                    </ul>
                </div>
            </div>
        </nav>

        <main class="py-4">
            @yield('content')
        </main>
    </div>
</body>
</html>

resources/views/user/create.blade.php
@extends('condominio.layout')
@section('content')

<div class="container">
<div class="card uper">
  <div class="card-header">
    Cadastro de Usuario
  </div>
  <div class="card-body">    
      <form method="POST" action="{{ route('usuario.store') }}">
        @csrf
        <div class="form-group">
          <label for="name">Nome usuario:</label>
          <input type="text" class="form-control" name="name" required />
        </div>
        <div class="form-group">
          <label for="name">E-mail:</label>
          <input type="E-mail" class="form-control" name="email" required />
        </div>
        <div class="form-group">
          <label for="name">Senha:</label>
          <input type="password" class="form-control" name="password" required />
        </div>
        <div class="form-group">
          <button type="submit" class="btn btn-primary">Cadastrar</button>
        </div>
        
      </form>
  </div>
</div>
</div>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery.maskedinput/1.4.1/jquery.maskedinput.min.js"></script>

@endsection